<?php declare(strict_types=1);

namespace SmcAddressLatin\Core\Checkout\Cart\Error;

use Shopware\Core\Checkout\Cart\Error\Error;

class ShippingAddressInvalidCharactersError extends Error
{
	private const KEY = 'address-invalid-characters';

	private string $erroneousFieldName;

	public function __construct(string $erroneousFieldName)
	{
		$this->erroneousFieldName = $erroneousFieldName;
		parent::__construct();
	}

	public function getId(): string
	{
		return $this->erroneousFieldName;
	}

	public function getMessageKey(): string
	{
		return self::KEY;
	}

	public function getLevel(): int
	{
		return self::LEVEL_ERROR;
	}

	public function blockOrder(): bool
	{
		return true;
	}

	public function getParameters(): array
	{
		return [ 'erroneousFieldName' => $this->erroneousFieldName ];
	}
}
